package com.red.circle.common.business.core.enums;


import com.red.circle.framework.dto.IResponseErrorCode;


/**
 * 基础错误状态码.
 *
 * @author pengliang on 2019/10/19 23:25
 */
public enum BaseErrorEnum  implements  IResponseErrorCode{

  /**
   * 请求参数错误或不完整 400.
   */
  REQUEST_PARAMETER_ERROR(400,
      "Request parameter is incorrect or incomplete");

  private final Integer code;
  private final String message;

  BaseErrorEnum(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return null;
  }

}
